Description

Wiki pages are [[Writing Converters|here]] and [[ProtocolBufferConverter|here]].

Associated revisions
Revision 2c257276 - 06/22/2011 10:47 PM - J. Moringen
Improved exception in src/rsb/converter/UnambiguousConverterMap.h
refs #384
    -  src/rsb/converter/UnambiguousConverterMap.h: better problem

  description in the exception message

Revision 0981e2cd - 06/22/2011 11:42 PM - J. Moringen
Added an example of a custom converter in examples/custom_converter
refs #384
    -  examples/CMakeLists.txt: examples/custom_converter/SimpleImage.h,

  examples/custom_converter/SimpleImageConverter.{h,cpp},
  examples/custom_converter/sender.cpp and
  examples/custom_converter/senderNoConverter.cpp

    -  examples/custom_converter/SimpleImage.h: new file; contains domain
  data type of the example

    -  examples/custom_converter/SimpleImageConverter.{h,cpp}: new files;
  contain the custom converter used in the example

    -  examples/custom_converter/sender.cpp: new file; simple main program
  using the converter

    -  examples/custom_converter/senderNoConverter.cpp: new file; simple
  program to demonstrate error in case of missing converter

Revision f3a5a7e2 - 06/22/2011 11:54 PM - J. Moringen
Fixed comment in examples/custom_converter/SimpleImageConverter.h
refs #384
    -  examples/custom_converter/SimpleImageConverter.h: fixed

  documentation comment of SimpleImageConverter class

Revision c8677315 - 06/23/2011 08:20 PM - J. Moringen
Added example program demonstrating the use of ProtocolBufferConverter
refs #384
    -  examples/CMakeLists.txt: added files

  examples/protobuf_converter/SimpleImage.proto,
  examples/protobuf_converter/receiver.cpp and
  examples/protobuf_converter/sender.cpp
    -  examples/protobuf_converter/SimpleImage.proto: new file; protocol
  buffer descriptor for SimpleImage protocol buffer message

    -  examples/protobuf_converter/receiver.cpp: new file; example program
  for receiving SimpleImage protocol buffer messages

    -  examples/protobuf_converter/sender.cpp: new file; example program
  for sending SimpleImage protocol buffer messages

Revision 170cd3f0 - 06/27/2011 12:09 AM - J. Moringen
Added license headers in examples/protobuf_converter
refs #384
    -  examples/protobuf_converter/SimpleImage.proto: added license header;

  fixed some comments
    -  examples/protobuf_converter/receiver.cpp: likewise
    -  examples/protobuf_converter/sender.cpp: likewise

Revision 9dad386a - 06/27/2011 12:12 AM - J. Moringen
Fixed license headers in examples/custom_converter
refs #384
    -  examples/custom_converter/SimpleImage.h: fixed license header and

  some comments
    -  examples/custom_converter/SimpleImageConverter.{h,cpp}: likewise
    -  examples/custom_converter/sender.cpp: likewise
    -  examples/custom_converter/senderNoConverter.cpp: likewise

History
#1 - 06/22/2011 10:37 PM - J. Moringen
- Description updated

#2 - 06/22/2011 10:49 PM - J. Moringen
- Subject changed from Wire a Converter-Authoring Tutorial to Write a Converter-Authoring Tutorial

#3 - 06/22/2011 11:59 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

#4 - 06/23/2011 11:15 AM - S. Wrede
- Status changed from Resolved to Feedback

#5 - 06/23/2011 11:18 AM - S. Wrede
- Status changed from Feedback to In Progress

Good job. However, my original take on this was to provide information on how to use the converter stuff together with protocol buffers. That said, it is
resonable to have an example that does feature this dependency. Still, practically it would be good to extend this by a "Using RSB Converters with
GPB" section.

#6 - 06/23/2011 08:52 PM - J. Moringen
- Status changed from In Progress to Feedback
#7 - 06/23/2011 09:28 PM - J. Moringen
- Description updated

#8 - 09/12/2011 05:05 PM - J. Wienke

Can we resolve this? To me it seems complete.

#9 - 01/06/2012 06:04 PM - J. Moringen
- Status changed from Feedback to Closed

Additional improvements or changes should be tracked in separate issues.
